# Email Sender

## Description

`email-sender` is a simple Go library designed to send emails with optional attachments. It's built on top of the standard Go `net/smtp` library with additional support for sending HTML emails and handling multiple attachments.

## Features

- Send HTML emails.
- Attach multiple files to the email.
- Built-in support for TLS encryption.
- Simple API for sending emails.

## Installation

Clone this repository:

```bash
git clone https://gitea.urkob.com/urko/emailsender.git
```

## Usage

Check examples in [examples](https://gitea.urkob.com/urko/emailsender/examples)

## Dependencies

- Go's standard `net/smtp` package
- Go's standard `crypto/tls` package for secure email sending.

## Contribution

Feel free to submit issues or pull requests if you find any bugs or have suggestions for improvements.
